> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supadata.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Transcript Result

> Get results for a transcript job by job ID.



## OpenAPI

````yaml v1-openapi GET /transcript/{jobId}
openapi: 3.1.0
info:
  title: Supadata
  description: Web & Social Media Content API for Developers
  version: 1.3.0
servers:
  - url: https://api.supadata.ai/v1
security:
  - apiKeyAuth: []
paths:
  /transcript/{jobId}:
    get:
      description: Get results for a transcript job by job ID.
      operationId: getTranscriptByJobId
      parameters:
        - schema:
            type: string
          in: path
          name: jobId
          required: true
      responses:
        '200':
          description: Transcript job result.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobResult'
        '400':
          description: Invalid Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      x-codeSamples:
        - lang: Shell
          label: cURL - Get Job Status
          source: |-
            curl -X GET "https://api.supadata.ai/v1/transcript/JOB_ID" \
              -H "x-api-key: YOUR_API_KEY" \
              -H "Content-Type: application/json"
components:
  schemas:
    JobResult:
      type: object
      properties:
        status:
          type: string
          enum:
            - queued
            - active
            - completed
            - failed
          description: Current status of the job
          example: completed
        error:
          oneOf:
            - $ref: '#/components/schemas/Error'
            - type: 'null'
          description: Error information if the job failed
        content:
          anyOf:
            - type: array
              items:
                $ref: '#/components/schemas/TranscriptChunk'
            - type: string
              description: Plain text transcript when text=true parameter is used
              example: Never gonna give you up, never gonna let you down...
        lang:
          type: string
          description: ISO 639-1 language code of transcript
          example: en
        availableLangs:
          type: array
          items:
            type: string
          description: List of available language codes
          example:
            - en
            - es
            - zh-TW
      required:
        - status
      description: Response for job status/results
    Error:
      type: object
      properties:
        error:
          type: string
          enum:
            - invalid-request
            - internal-error
            - forbidden
            - unauthorized
            - upgrade-required
            - transcript-unavailable
            - not-found
            - limit-exceeded
          description: Error code identifying the type of error
          example: invalid-request
        message:
          type: string
          description: Human readable error message
          example: Invalid Request
        details:
          type: string
          description: Detailed error description
          example: The request is invalid or malformed
        documentationUrl:
          type: string
          description: URL to error documentation
          example: https://supadata.ai/documentation/errors#invalid-request
      required:
        - error
        - message
        - details
      description: Standard error response format
    TranscriptChunk:
      type: object
      properties:
        text:
          type: string
          description: Transcript segment
          example: Never gonna give you up...
        offset:
          type: number
          description: Start time in milliseconds
          example: 8150
        duration:
          type: number
          description: Duration in milliseconds
          example: 1200
        lang:
          type: string
          description: ISO 639-1 language code of chunk
          example: en
      required:
        - text
        - offset
        - duration
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````